Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin.ejb
Interface AdminResourceManager

All Superinterfaces:
  EJBObject, Remote

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface AdminResourceManager
extends EJBObject

Handles all resource personalization admin functionality.

Method Summary
`PortalPersonalization` | `createPortalPersonalization(GroupPortal destinationGroupPortal, GroupPortal existingGroupPortal, boolean copyEntitlements, boolean copyAdmins)` Deprecated. Create a PortalPersonalization from an existing PortalPersonalization.
`List` | `getAllGroupPortals(PortalIdentifier portalId)` Deprecated. Retrieve the list of all group portals defined for this portal.
`GroupPortal` | `getGroupPortal(PortalIdentifier portalIdentifier, String userGroupIdentifier)` Deprecated. Retrieve a full GroupPortal
`List` | `getGroupPortalEligibleUserGroups(PortalIdentifier portalId)` Deprecated. Retrieve the list of eligible user group for the Portal
`List` | `getGroupPortals(PortalIdentifier portalIdentifier)` Deprecated. Retrieve list of GroupPortal objects for a Portal available to the calling Admin user Note: This will return all GroupPortals for a PortalAdmin
`Portal` | `getPortal(PortalIdentifier id)` Deprecated. Retrieves a Portal for a given PortalIdentifier
`PortalPersonalization` | `getPortalPersonalization(GroupPortal groupPortal)` Deprecated. Retrieve a full PortalPersonalization
`List` | `getPortals()` Deprecated. Retrieve list of PortalIdentifier objects available to the calling Admin user Note: This will return Portals visible to GroupAdmins, as well.
`void` | `removeDeletedLayoutsForGroupPageP13n(List availableLayouts, PagePersonalization pageP13n, PortalPersonalization groupPortal)` Deprecated.
`void` | `removeGroupPortalP13nSkin(SkinIdentifier skinId, PortalPersonalization groupPortalP13n)` Deprecated.
`List` | `removePortalPersonalization(GroupPortal groupPortal)` Deprecated. Remove a PortalPersonalization
`void` | `setPortalPersonalization(PortalPersonalization portalPersonalization)` Deprecated. Set a PortalPersonalization

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPortal

    public Portal getPortal(PortalIdentifier id)
                     throws RemoteException

  Deprecated.
  Retrieves a Portal for a given PortalIdentifier

  Returns:
    the Portal
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the Portal can not be found
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getPortals

    public List getPortals()
                    throws RemoteException

  Deprecated.
  Retrieve list of PortalIdentifier objects available to the calling Admin user Note: This will return Portals visible to GroupAdmins, as well. This is not a security hole as any future mutable operations on the Portal will check if the user is a PortalAdmin.

  Returns:
    list of PortalIdentifier objects
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the Portals can not be retrieved
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action

### getGroupPortals

    public List getGroupPortals(PortalIdentifier portalIdentifier)
                         throws RemoteException

  Deprecated.
  Retrieve list of GroupPortal objects for a Portal available to the calling Admin user Note: This will return all GroupPortals for a PortalAdmin

  Parameters:
    `portalIdentifier` - the PortalIdentifier of the GroupPortals
  Returns:
    list of GroupPortal objects
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the Portal or GroupPortals can not be retrieved
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getGroupPortal

    public GroupPortal getGroupPortal(PortalIdentifier portalIdentifier,
                                      String userGroupIdentifier)
                               throws RemoteException

  Deprecated.
  Retrieve a full GroupPortal

  Parameters:
    `portalIdentifier` - the PortalIdentifier of the GroupPortal
    `userGroupIdentifier` - the UserGroup Identifier of the GroupPortal
  Returns:
    GroupPortal object
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the Portal can not be retrieved
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### createPortalPersonalization

    public PortalPersonalization createPortalPersonalization(GroupPortal destinationGroupPortal,
                                                             GroupPortal existingGroupPortal,
                                                             boolean copyEntitlements,
                                                             boolean copyAdmins)
                                                      throws RealmNotWritableAddException,
                                                             RemoteException

  Deprecated.
  Create a PortalPersonalization from an existing PortalPersonalization.

  Parameters:
    `destinationGroupPortal` - GroupPortal to base creation on
    `existingGroupPortal` - represents existing PortalPersonalization to create from
    `copyEntitlements` - true if entitlements should be copied from the existing PortalPersonalization
    `copyAdmins` - true if admins should be copied from the existing PortalPersonalization
  Returns:
    newly-created PortalPersonalization
  Throws:
    `RemoteException` - because of EJB contract
    `RealmNotWritableAddException` - thrown if the underlying realm is not writable (ie. LDAP)
    `AdminResourceSystemException` - if the Portal or GroupPortals can not be retrieved
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getPortalPersonalization

    public PortalPersonalization getPortalPersonalization(GroupPortal groupPortal)
                                                   throws RemoteException

  Deprecated.
  Retrieve a full PortalPersonalization

  Parameters:
    `groupPortal` - the GroupPortal that matches a PortalPersonalization
  Returns:
    PortalPersonalization object
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the GroupPortal or PortalPersonalization can not be retrieved
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### setPortalPersonalization

    public void setPortalPersonalization(PortalPersonalization portalPersonalization)
                                  throws RemoteException

  Deprecated.
  Set a PortalPersonalization

  Parameters:
    `portalPersonalization` - the PortalPersonalization to set
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the PortalPersonalization can not be retrieved
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### removePortalPersonalization

    public List removePortalPersonalization(GroupPortal groupPortal)
                                     throws RemoteException

  Deprecated.
  Remove a PortalPersonalization

  Parameters:
    `groupPortal` - the GroupPortal that matches a PortalPersonalization
  Returns:
    list of admin users (String:username) that need to be MANUALLY removed from the DelegatedAdministrator User Group (in the case where an unwritable realm is being used)
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the PortalPersonalization can not be removed
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getGroupPortalEligibleUserGroups

    public List getGroupPortalEligibleUserGroups(PortalIdentifier portalId)
                                          throws RemoteException

  Deprecated.
  Retrieve the list of eligible user group for the Portal

  Parameters:
    `portalId` - the Portal
  Returns:
    a List of user group names represented as Strings
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the PortalPersonalization can not be removed
    `DelegatedAdminSecurityException` - if the caller does not have sufficient rights to perform this action
    `IllegalArgumentException` - if the arguments are not valid

### getAllGroupPortals

    public List getAllGroupPortals(PortalIdentifier portalId)
                            throws RemoteException

  Deprecated.
  Retrieve the list of all group portals defined for this portal.

  Parameters:
    `portalId` - the Portal
  Returns:
    a List of GroupPortal objects defined for this portal.
  Throws:
    `RemoteException` - because of EJB contract
    `AdminResourceSystemException` - if the PortalPersonalization can not be removed
    `IllegalArgumentException` - if the arguments are not valid

### removeGroupPortalP13nSkin

    public void removeGroupPortalP13nSkin(SkinIdentifier skinId,
                                          PortalPersonalization groupPortalP13n)
                                   throws RemoteException

  Deprecated.
  Throws:
    `RemoteException`

### removeDeletedLayoutsForGroupPageP13n

    public void removeDeletedLayoutsForGroupPageP13n(List availableLayouts,
                                                     PagePersonalization pageP13n,
                                                     PortalPersonalization groupPortal)
                                              throws RemoteException

  Deprecated.
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved